<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Watch.Later - Robot Holocaust</title>
<link rel="stylesheet" href="../styles.css">
</head>
<body>

<div id="custom-cursor"></div>

<div>
  <a href="../index.html" class="header-link" style="font-size:50px;font-weight:bold;width:100%;text-align:left;margin-left:10px;text-decoration:none;">Watch.Later</a>
</div>
<div>
  <i style="font-size:25px;text-align:left;margin-left:10px;margin-right:160px;">Movies you should watch, just not right now</i>
</div>
</br>

<div class="image">
  <img src="https://m.media-amazon.com/images/M/MV5BMTg2MTQxMTE5NF5BMl5BanBnXkFtZTcwMDgyMTM4NA@@._V1_.jpg" style="width:100%">
</div>
<a class="title">Robot Holocaust</a></br>
<div class="body-text">
<i>Review Published</i>: Nov. 3, 2022</br>
<i>Reference</i>: <a href="https://www.imdb.com/title/tt0093872/" target="_blank">IMDB</a></br>
<i>Released</i>: 1987</br>
<i>Runtime</i>: 1h 19m</br>
<i>Genre</i>: <a href="../categories/scifi.html">Science Fiction</a>, <a href="../categories/drama.html">Drama</a>, <a href="../categories/un_comedy.html">Comedy (Unintentional)</a></br>
<i>Country of Origin</i>: United States, Italy</br>
<i>Language</i>: <a href="../categories/english.html">English</a></br>
<i>Original Title</i>: Robot Holocaust</br>
<i>Synopsis</i>:</br>
A hero emerges from the irradiated, post-apocalyptic wasteland to find a mining colony of humans enslaved by robot overlords.</br>
<i>Review</i>:</br>
A post-apocalypse B-movie, maybe a C-movie, or even a D-movie depending on who you ask. Our protagonist, Neo (Norris Culf), is a rebel roaming the wasteland around New York City after a nuclear war. He is, for unexplained reasons, immune to radiation. I suppose you have to assume it's because Neo is "the one," even though this sci-fi savior appeared on screen 12 years before <i>The Matrix</i>. Similarly, this Neo is in a league above the group he wanders in on. These humans cannot breathe the "poison air" outside and because of this they are "air-slaves" to the robots who force them to mine coal for the power plant. An interesting premise that is spoiled by the issue of "why not just have robots mine the coal?" This is not the kind of movie where you should be thinking enough to ask such questions though,  over-analysis will only lead to disappointment. Instead just enjoy the grungy ambience and try not to break immersion by noticing plot holes. Back to the story, Neo unwittingly spoils some good old fashioned gladiatorial culling when he arrives. The robots cut the air supply as punishment and it is revealed that not only him but two of the "air-slaves" can still breathe. It turns out that leading-lady Deeja (Nadine Hartstein) and her father were planning an escape with technology that allows them to breathe. With their plan foiled, and Deeja's father taken captive, Neo decides to lead an assault on the power plant to destroy the robot leader known as "the dark one" and liberate the humans. Along the way his team develops into a motley crew comprised of himself, Deeja, a klutzy C-3PO rip-off robot sidekick Klyton (J. Buzz Von Ornsteiner), the leader of a tribe of femdom warriors Nyla (Jennifer Delora), and her most recent captive the ever silent Kai (Andrew Howarth). Together they make their way past surface dwelling mutants and the various defenses the dark one has made around the power plant. No simple trap can compare, however, to the dark one's servant Valaria (Angelika Jager). Many reviews for this film complain that this accented beauty really hams it up, especially compared to the deadpan performances from some of the rest of the cast. My only complaint is that hers are the only sweet 80s tits you get to see in the entire movie, and you only see them once. Skipping over the meat of the plot so there's still some mystery left, by the time our heroes finally confront the dark one the plot has already fallen apart. It seems cuts were made that leave significant logical holes in their absence. There's not much time left to think about those issues though as the story gets quickly and neatly wrapped up. While it is low-budget schlock, there is something more charming about second-rate movies of the 80s compared to those of today. Robot Holocaust certainly has some of this charm, as such I think it deserves more credit than it gets in other reviews.</br>
<i>Watch later?</i>: If you like the sound of campy low budget 80s post-apocalypse sci-fi, absolutely.</br>
<i>Rating</i>: 5/10
</div>


<div class="sidebar">
  <div><a href="../categories/all.html">All</a></div>
  <div><a href="../categories/last.html">Most Recent</a></div>
  <div><b>By Genre</b></div>
  <div><a href="../categories/action.html">Action</a></div>
  <div><a href="../categories/comedy.html">Comedy</a></div>
  <div><a href="../categories/un_comedy.html">Comedy (Unintentional)</a></div>
  <div><a href="../categories/drama.html">Drama</a></div>
  <div><a href="../categories/mystery.html">Mystery</a></div>
  <div><a href="../categories/sci-fi.html">Sci-Fi</a></div>
  <div><a href="../categories/suspense.html">Suspense</a></div>
  <div><b>By Language</b></div>
  <div><a href="../categories/english.html">English</a></div>
  <div><a href="../categories/russian.html">Russian</a></div>
  <div><b>Info</b></div>
  <div><a href="../info/about.html">About</a></div>
  <div><a href="../info/contact.html">Contact</a></div>
</div>

<script>
</script>
<script src="https://ddosnotification.github.io/snow-theme/snow.js"></script>
<script src="/anicursor.js?v=1.0"></script>

</body>

</html>
